Skip to content

Returns the authenticated member's verification, MFA and onboarding state.

GET
/account/email_status
curl --request GET \
--url https://api.siteqwality.com/account/email_status \
--header 'Authorization: Bearer <token>'

Email verification state

Media type application/json
object
email_verified
required

Whether the caller has verified their email address.

boolean
mfa_enrolled
required

Whether the caller has enrolled an authenticator app.

boolean
email
required

The email address Stytch has on file. Handy for the banner copy.

string
onboarding_dismissed
required

Whether this member has permanently dismissed the onboarding checklist.

boolean
Example generated
{
"email_verified": true,
"mfa_enrolled": true,
"email": "example",
"onboarding_dismissed": true
}

Missing or invalid authentication

Internal server error